Subject: Re: swi jpl character coding

From: Paul Singleton <[email-masked]>
Date: Sat, 16 Dec 2000 15:08:44 +0000

Jan Wielemaker wrote:

> One problem might be the textual
> representation of atoms containing illegal UTF-8 sequences.  It whould
> be nice if write_canonical and read can deal with *any* Prolog term.

[including floats, and cyclic and recombinant terms please! :-]

> Assuming UTF-8 you could make the atom start with an illegal sequence
> and add a foreign routine to return its type.

OK, that's neat: let's have UTF-8 for textual names, hooks for optional
custom handling of non-UTF-8 atoms (with some default catch-all handling).

NB is there some de facto standard type system we should be using, e.g.
those MIME type thingies?

Paul S.